Introduction

Welcome to Spider Writer, the solution for web development in the 21st century. To get you immediately on your way into the world of web development, please take a few minutes to read this help file to give yourself a good idea of what the system can do.

To quickly get you working with Spider Writer, please read the following topics: Document Source view, Design view, Sidebars, Basic File Operations, Basic Edit Operations, Local Files sidebar, Environment sidebar, and Project Fundamentals. This help file contains a wealth of useful information on all the other features of Spider Writer as well so be sure to spend some time reading it. It will help make you a very efficient Spider Writer user.

Contacting the Spider Writer Support Staff

The creators of Spider Writer have worked hard to provide a very complete editing system to meet the needs of today's web developers. If you have any comments or suggestions about this software, please send them to suggestions@spiderwriter.com. Your input is greatly appreciated.

If you require technical support, please visit the Developer Center [image] and post a message in the Spider Writer Support forum. The benefit to this method is that other users will also see your post and may be able to help to you, along with the Spider Writer support staff. If you need to correspond directly with a support specialist, you can send e-mail to support@spiderwriter.com.

For more information about the Spider Writer suite or for the latest updates, visit our web site at http://www.spiderwriter.com [image] . Thank you for your support!

Registering Spider Writer

If you are running an unregistered copy of Spider Writer, the Registration Wizard will pop up each time you run Spider Writer. Follow the steps in the Registration Wizard to register via either postal mail or through secure on-line credit card transactions. If you choose to register via postal mail, the Registration Wizard will create a file called REGISTER.TXT in the main Spider Writer folder. Print this file using Notepad and send it along with your payment to the address listed in the file.

Purchase Spider Writer on-line with a Mastercard or Visa.
It's quick and easy. Visit http://www.spiderwriter.com/purchase.html [image] for more details.

Why register? Registering removes the 30-use limit of the evaluation copy, allows you to receive excellent product support, and enables you to access the full set of button and bullet templates for the Button Wizard. When you register, you also are eligible to receive free updates for a year after purchase!

Application Requirements

  • Spider Writer requires Internet Explorer 4.01 or higher to run (Find in Files requires IE 5.0 or higher).
  • To use data connections, Microsoft Data Access Components (MDAC) version 2.5 or higher must be installed.
    MDAC may be downloaded from: http://www.microsoft.com/data/
  • To use the Thesaurus, Microsoft Word must be installed.

Legal Notices

Spider Writer is a trademark of Actipro Software LLC and is protected by copyright laws.
The Sentry Spelling-Checker Engine Copyright © 1999 Wintertree Software Inc.


Workspace Views

The workspace is the area of the main Spider Writer window, just underneath the document tabs. There are four views for the workspace:

  • Document Source - text-based document editing environment
  • Design - WYSIWYG document editing environment
  • Web View - web browser and internal document preview
  • Document Summary - document summary statistics
Each of these views provides a different context for editing/viewing/summarizing your documents. See each view's help topic for more information.


Document Source Workspace View

The Document Source workspace view is where you will spend most of your time in Spider Writer. This is where you create and modify your web documents using the many features and tools available. Spider Writer comes fully equipped with all the editing features you need, including instant syntax color coding of over 10 languages, spell checking, syntax checking, find/replace, multiple undo/redo levels, selection transformations, and much more. Split-screen editor/browser mode can be set from the View menu so that you can see how your document looks on the web as you edit it. Special Characters can also be displayed from the View menu. See the Edit menu for more editing options.

Sidebars

Sidebars provide extensive additional functionality such as an attributes editor, local files list, environment management, script outline, code snippets, task list, and results for syntax checking and thumbnail viewing. Tag attributes can be edited without opening an additional window, by using the Attributes sidebar. The default hotkey for loading the Attributes sidebar is F4. The Environment sidebar provides access to Spider Writer projects, data connections, and Visual SourceSafe projects.

Multi-tabbed Toolbar

A multi-tabbed toolbar provides quick access to numerous tag inserts and system functions. Currently, the following toolbars are part of the tabbed toolbar: General, Text, Tables, Frames, Lists, Forms, Script, and ASP.

Editor Toolbar

The editor toolbar is vertically displayed to the left of the Document Source editor. It provides quick access to common editor functions.

Editor Toolbar:

The Close Document command closes the current document.

The Word Wrap command flags whether the editor is in word wrap mode.

The Hide Gutter command flags whether the editor gutter should be hidden.

The Line Numbers in Gutter command flags whether line numbers should be displayed in the editor gutter.

The Show Control Characters command flags whether control characters should be displayed in the editor.

The Use IntelliPrompt command flags whether IntelliPrompt should be used.

The Goto First Document command changes the current document to the first open document.

The Goto Previous Document command changes the current document to the previous open document.

The Goto Next Document command changes the current document to the next open document.

The Goto Last Document command changes the current document to the last open document.

The Indent command indents the selected text in the editor.

The Unindent command unindents the selected text in the editor.

The Set Bookmark command sets a bookmark on the current line.

The Goto Previous Bookmark command moves the cursor to the previous bookmarked position.

The Goto Next Bookmark command moves the cursor to the next bookmarked position.

The Show Split-Screen Browser command flags whether the split-screen browser should be displayed.

The Refresh Split-Screen Browser command refreshes the split-screen browser.

The Use IntelliBrowse command flags whether IntelliBrowse should be used.


Design Workspace View

The Design view provides a complete WYSIWYG (What-You-See-Is-What-You-Get) editor for editing your web documents. Use this view if you are new to HTML or if you are looking to quickly prototype a page. By using a WYSIWYG editor, you do not need to know about the code underlying the page. Editing a web document in this view is the same as editing a document in an advanced word processing application. You can visually change text alignment, indentation, font faces, sizes, colors, add anchors, images, add and modify tables, lists, and much more by using the Design view toolbars. The Design view also supports drag and drop and multiple undo/redo levels.

To access a context menu for an element that is selected in the editor, right-click on the element. The options on this menu vary based on the type of element selected.

Although the Design view is a feature-rich handy tool to use, Spider Writer's main focus is on source code editing. It is recommended that if you are new to HTML, you use the Design view as a learning tool and strive towards learning to program HTML code in Document Source view.

Design View Options

There are a couple options that can be set in Design view, which can be set in the Design view toolbars.

The Show Borders command flags whether to show all hidden table borders.

The Show Details command flags whether to reveal the location of special tags such as FORM tags.

The Full Resolution command sets the editor to display a full size window.

The 640x480 Resolution command sets the editor to display in 640x480 resolution mode.

The 800x600 Resolution command sets the editor to display in 800x600 resolution mode.

The 1024x768 Resolution command sets the editor to display in 1024x768 resolution mode.

The Horizontal Ruler command toggles whether the horizontal resolution rules is visible.

The Vertical Ruler command toggles whether the vertical resolution rules is visible.

Aborting Design View Changes

The Abort Design Changes command cancels Design view changes made to the document and reverts it back to how the document looked before modification.


Web View Workspace View

The Web View's main function is to preview your documents. However, it has all the capabilities of a standard web browser, including a title bar, address bar, status bar, previous, next, refresh, and stop functions. The browser can be set to preview documents at several resolutions, including 640x480, 800x600, 1024x768, and full screen modes. It also has horizontal and vertical rulers for determining precise pixel sizes of your web page elements.

Browsing to a URL

To browse to a URL, type in the URL in the Address drop-down list and press enter. The browser will navigate to the URL.

The Refresh command refreshes document currently in the browser.

The Stop command stops the current browsing operation.

The Back command moves back in the browser's history.

The Forward command moves forward in the browser's history.

The Open from the Web feature connects to the Internet and downloads the current URL's source for editing in Spider Writer.

The Full Resolution command sets the browser to display a full size window.

The 640x480 Resolution command sets the browser to display in 640x480 resolution mode.

The 800x600 Resolution command sets the browser to display in 800x600 resolution mode.

The 1024x768 Resolution command sets the browser to display in 1024x768 resolution mode.

The Horizontal Ruler command toggles whether the horizontal resolution rules is visible.

The Vertical Ruler command toggles whether the vertical resolution rules is visible.


Document Summary Workspace View

The Document Summary displays a wealth of information about your documents. It shows a number of statistics such as the number of lines, characters, total tags, comments, various tag types, and whether different scripting languages are used. It displays all the dependencies and links in your document and allows you to verify them. Document Summary also shows the size of the document and its dependencies and calculates download times for various network connection speeds. All of the information in the Document Summary can be printed out for later review.

Jump to Tag

The Jump to Tag button changes to Document Source view and moves the cursor to the selected tag.

Link Verification

To verify links, select the links in the dependencies list by using Ctrl and mouse click to select a single dependency or Shift and mouse click to select multiple links. You can also use the Select All and Select None buttons. Then press the Verify Selected button to verify the selected dependencies. During the verification process, the status bar displays status messages. You can press the Stop button to halt the verification process.


Sidebar Views

Sidebars are contained within a tabbed area of the workspace, when in Document Source view. They provide additional functionality of various types, based on the selected sidebar. There are seven sidebars in Spider Writer:

  • Attributes - HTML and XML tag attribute editor
  • Local Files - Explorer-like interface
  • Environment - Spider Writer projects, Visual SourceSafe projects, data connections
  • Script Outline - Technology tree of syntax items
  • Code Snippets - Stores commonly used code
  • Tasks - Tasks list
  • Results - Results of syntax checking and thumbnail viewing

Customizing Sidebar Locations

You can drag and drop sidebars to dock on the left, bottom, or right sides of the Spider Writer main window. To do this, simply drag the titlebar of a sidebar over to the destination and drop it. You also can double click on a titlebar to switch between docked and undocked modes. When a sidebar is undocked, it floats over the main window and can be resized freely.


Attributes Sidebar

The tag attribute propertysheet allows you to edit HTML and XML tag attributes and events in a propertysheet without having to open a second window. Whenever the cursor in the Document Source editor enters a tag, all the tag's attribute values are loaded into the attribute propertysheet. For HTML tags, the attribute propertysheet is tag sensitive, so it only displays attributes appropriate to the tag you're editing. For XML tags, the editor only loads the attributes defined in the tag you're editing.

All of the attributes are categorized into category blocks which you can expand and contract. As you highlight an attribute in the propertysheet, the bottom of the attribute window displays a description for it. Many attributes offer drop-down lists of common values. Some allow for file browsing and others for color selection using the Color Chooser. HTML style attributes can be edited using the style editor provided with Spider Writer.

The propertysheet sample in the right would output:

<BODY BGColor="red" BGProperties="Fixed" LeftMargin=0 RightMargin=0 Text="black">


Local Files Sidebar

The Local Files sidebar is a smaller version of Windows Explorer. It allows for file browsing of all local drives as well as network drives. Drag and drop link and image insertion is supported.

Folder Treeview

The top part of the sidebar displays all the folders and network drives available to the local computer. When you highlight a folder in the treeview, the list at the bottom of the sidebar is populated with the files found in that folder.

Files List

The list displays the files in the currently selected folder. Double-click on a file to open it in a new document.
Context Menu:

The Open in New Document command opens the selected documents in Spider Writer.

The Insert Into Document command inserts the selected document into the current document.

The Edit File command edits the selected document in its default application.

The Cut command cuts the selected files. Browse to another folder and use the Paste command to move them there.

The Copy command copies the selected files. Browse to another folder and use the Paste command to copy them there.

The Paste command pastes cut or copied files into the selected folder.

The Delete command deletes the selected files.

The Create Hyperlink To command creates a link to the selected document.

The Thumbnail Viewer opens the Results sidebar and displays the Thumbnail Viewer for images in the current Local Files directory.

The Refresh command refreshes the project file list.

The Rename command renames the selected project file.

The Properties command opens the properties window for the selected file.


Environment Sidebar

The Environment sidebar allows you to manage Spider Writer projects, Visual SourceSafe projects, and data connections. See each section below for detailed help on what the treeview and list do for the various environments. The Environment menu contains numerous commands that apply to this sidebar.

Spider Writer Projects

Spider Writer projects allow you to easily organize the web pages that make up your sites and publish them out to a remote server. It also brings forth additional features such as date/time stamps, file inserts, and the ability to browse project documents through a specified URL. See the Project Fundamentals topic for more help on Spider Writer projects.

Project Folders Treeview
The Spider Writer Projects root node of the treeview displays all the projects currently open by Spider Writer. It shows all the projects and their subfolders in a tree format. Clicking on a folder in the tree displays all the project files in that folder in the list at the bottom of the sidebar.
Context Menu:

The New Project command starts the New Project Wizard, which takes you through the steps of creating new projects.

The Open Project command displays a dialog box for opening an existing project.

Close Project closes the currently selected Spider Writer project.

Synchronize Project starts the Synchronization Wizard, which aids in Spider Writer project file management.

The Publish Project command starts the Publish Wizard, which publishes Spider Writer project files to a local directory structure or to a remote web site.

The Project Properties command displays the Project Properties dialog for the currently selected Spider Writer project.

Project Files List
The list displays the files in the currently selected project folder. Double-click on a file to open it.
Context Menu:

The Open in New Document command opens the selected documents in Spider Writer.

The Open All Documents command opens all the documents in the current project folder.

The Insert Into Document command inserts the selected document into the current document.

The Edit File command edits the selected document in its default application.

The Create Hyperlink To command creates a link to the selected document.

The Remove File from Project command removes the selected files from the current project.

The Publish Selected Files command starts the Publish Wizard, and publishes the selected files.

The Refresh command refreshes the project file list.

The Rename command renames the selected project file.

The Properties command opens the properties window for the selected file.

Visual SourceSafe Projects

Visual SourceSafe projects allow you to connect to Microsoft Visual SourceSafe databases. This product provides excellent source control management features and if very useful in multi-user environments. Spider Writer's integration with Visual SourceSave lets you check in and out files, among other operations described below. See the Visual SourceSafe Project Fundamentals topic for more help on Visual SourceSafe projects.

Project Folders Treeview
The Visual SourceSafe Projects root node of the treeview displays all the Visual SourceSafe projects currently linked to by Spider Writer. It shows all the projects and their subfolders in a tree format. Clicking on a folder in the tree displays all the project files in that folder in the list at the bottom of the sidebar.
Context Menu:

The Open SourceSafe Project command starts the Visual SourceSafe Project Wizard which is used to connect to a Visual SourceSafe database.

Close SourceSafe Project closes the currently selected Visual SourceSafe project.

The Change Working Folder command allows you to set the local working folder for the selected project. When you download files from the SourceSafe database, they are placed in the local working folder that you specify.

The Project Properties command displays the Project Properties dialog for the currently selected Visual SourceSafe project.

Project Files List
The list displays the files in the currently selected project folder. Double-click on a file to open it.
Context Menu:

The Open in New Document command opens the selected documents in Spider Writer.

The Open All Documents command opens all the documents in the current project folder.

The Insert Into Document command inserts the selected document into the current document.

The Create Hyperlink To command creates a link to the selected document.

The Get Latest Version command retrieves the latest version of the selected files from the server.

The Check Out command checks out the selected files so that you may work on them.

The Check In command checks in your local copies of the selected files and posts any changes to the server.

The Undo Check Out command removes the check out status on the selected files however it doesn't post your changes to the server.

The Remove Local Copy command removes the selected files from the local working folder if they exist.

The Compare With Master Copy command checks to see if there are differences between the master copy of a file and the local version stored in the local working folder.

The Refresh command refreshes the project file list.

The Properties command opens the properties window for the selected file.

Data Connections

Spider Writer data connections allow you to connect to various types of databases. Once connected, you can enumerate assorted database objects and use the data objects in a number of ways. Each type of data provider has different capabilities. The Connection Wizard window describes the capabilities of each data provider from within the wizard. See the Data Connection Fundamentals topic for more help on data connections.

The Generate Simple ASP VBScript SQL Query with Selected Columns command (see below) is a very quick and powerful way of generating HTML tables of simple data queries from a data source in an ASP page.
Database Objects Treeview
The Data Connections root node of the treeview displays all the data connections currently set up in Spider Writer. It shows various database object containers (such as a Tables list) and objects in a tree format. Clicking on an item in the tree displays all the database objects in the list at the bottom of the sidebar that the item contains.
Context Menu:

The New Data Connection command starts the Connection Wizard which is used to connect to various databases and create data connections.

Remove Data Connection removes the currently selected data connection.

The Open Table command is available if you open the context menu off of a table or view. This feature opens the table or view in the SQL Query Builder and displays its contents.

Data Object List
The list displays the database objects contained in the currently selected item in the treeview.
Context Menu:

The Insert Connection String into Document command inserts the connection string of the selected data connection into the current document.

The Insert into Document command inserts the names of all the currently selected database objects into the current document.

The Generate Simple SQL Query with Selected Columns command instantly creates a SQL query that selects the currently selected table or view columns into an HTML table. When the button is pressed, a menu appears, allowing for the selection of which scripting language to use for the query. Spider Writer currently supports ASP VBScript, ASP JScript, and CFML.

The Generate Result Set SQL Query with Selected Columns command instantly creates a SQL result set that lists out the contents of the first record from a query of the currently selected table or view into an HTML table. Spider Writer aids in building a WHERE clause for the query. When the button is pressed, a menu appears, allowing for the selection of which scripting language to use for the query. Spider Writer currently supports ASP VBScript, ASP JScript, and CFML.

The View Source command views the source of a stored procedure or view.

The Refresh command refreshes the data object list.


Code Snippets Sidebar

The Code Snippets sidebar allows you to store snippets of custom code and insert them easily. Snippets are managed in an explorer interface, similar to the Local Files sidebar.

Folder Treeview

The top part of the sidebar displays all the code snippets subfolders. You can add and remove folders from this treeview. When you highlight a folder in the treeview, the list at the bottom of the sidebar is populated with the snippet files found in that folder.

Context Menu:

The New Folder command creates a new child folder under the selected folder.

The Delete Folder command deletes the selected folder and all the snippets it contains.

Snippet Files List

The list displays the snippets in the currently selected folder. Double-click on a snippet file to insert it into the current document. When you insert a snippet into an open document, its starting code is placed before the current selection in the document and the ending code is placed after the current selection.
Context Menu:

The Insert Into Document command inserts the selected snippet into the current document.

The Add Code Snippet command opens the Code Snippet Properties dialog for adding a new snippet.

The Remove Code Snippet command deletes the currently selected snippet.

The Code Snippet Properties command displays the Code Snippet Properties dialog for editing the currently selected snippet.

The Refresh command refreshs the snippet file list for the selected folder.

The Rename command allows you to rename the selected snippet file.

Code Snippet Properties Dialog

Snippets are edited via a dialog which allows you to specify the name of the snippet, its starting code, and ending code. You can also use the Import buttons to import text from a text file into the Start Text and End Text textboxes.

Spider Writer Code Pack

Spider Writer comes packaged with some pre-existing snippets in a folder called Spider Writer Code Pack:

  • Last Modified Date (JavaScript)
  • 'Made with SW' button
  • Time-Based Greeting (JavaScript)


Script Outline Sidebar

The Script Outline sidebar can enumerate type library reference information and also provides a tree list of various scripting object models. Currently, the script outline displays several technology object models:

  • HTML
  • ASP
  • JavaScript
  • DHTML

Folder Treeview

The Typelib References part of the treeview can list out various type library component models. To add a reference, click on the Edit References command. This command opens a References window that allows you to check the references you'd like to list. Once you press the OK button, the selected references will be displayed in the treeview.

Each technology tree in the object model section displays different information such as tags, objects, collections, properties, methods, etc. Double-click on a tree item to insert it into the current document.

Context Menu:

The Insert Script Outline Element command inserts the selected item into the current document.

The Insert Prototype command inserts the prototype of the selected reference object into the current document. This is useful for defining constants or seeing how various methods or properties are defined.

The Edit References command opens the References window which allows you to select the references to display in the treeview.


Tasks Sidebar

The Tasks sidebar is used as a reminder to-do list for your web sites. Tasks are edited via a task dialog, where you can specify various information about each task, including priority, completed status, due date, associated file, and general comments. The tasks are listed in order of due date, with the tasks requiring more immediate attention appearing first. The Start Page, a dialog that pops up when you first start Spider Writer, also displays up to five tasks. If you have more than five tasks stored, it will only show the five with the closest due dates.

Tasks List

The Tasks list is used to display the list of tasks that are currently defined. You can double-click on a task to edit it or check the checkbox in the list to mark it as complete.

Context Menu:

The Add Task command adds a new task. It opens the Add Task window which allows you to define the new task.

The Remove Task command deletes the currently selected task from the list.

The Task Properties command opens the properties window for the selected task, allowing you to edit it.

The Mark Task as Complete command marks the selected task as complete. This is the same as checking the box in the list next to the task.

The Mark Task as Incomplete command marks the selected task as incomplete. This is the same as unchecking the box in the list next to the task.


Results Sidebar

The Results sidebar is used to display the results of several Spider Writer operations. Namely, the results are for the Syntax Checker and Thumbnail Viewer commands. See the following sections for help on using each type of results.

Syntax Checker Results

The Syntax Checker command is used to check the HTML syntax of your documents. This feature makes use of HTML Tidy as its syntax engine. When syntax is checked, the results are displayed in a list in the Syntax Checker tab of the sidebar. Each item in the list indicates a suggestion, warning, or fatal error with the check. Document positions are given for where the item was found in the document. A brief description of each item also is displayed in the list.

Thumbnail Viewer Results

The Thumbnail Viewer is used to display a list of image thumbnails for a specific folder. When you first execute the Thumbnail Viewer command, thumbnails are loaded for the current directory in the Local Files sidebar. The bottom of the sidebar displays the path of the images that is loaded and how many images are loaded. You can hover the mouse over an image to see its name, dimensions, and file size. You can also double-click on an image to insert it into the current document.

Context Menu:

The Insert Into Document command inserts the selected image into the current document.

The Edit Image command edits the selected image in its default application.

The Properties command opens the properties window for the selected image.

The Browse to a Folder command allows you to browse for a directory from which to load images.

The Load from Local Files Sidebar Folder command loads the image list from the current directory in the Local Files sidebar.

The Refresh command refreshes the image list.


Color Chooser

The Color Chooser is opened whenever color selection is necessary. It can be called from several places in the application including: the main toolbar and menu to insert a color value into the current document, the Attributes sidebar when editing a color attribute, and from various dialogs for choosing colors.

The Color Chooser has a number of different ways to choose colors. Each is described below. For all tabs in the dialog, the currently selected color is displayed in the Selected Color box at the bottom of the window. While hovering the mouse over a color, that color is displayed in the Hover Color box at the bottom of the window. Both these boxes show the color's hex, RGB values, and sometimes its name.

Safety Colors

The Safety Colors tab displays "browser safe" colors. These colors are guaranteed to be displayed appropriately by browsers in situations where operating system palette sizes are limited.

The Hex Chart checkbox at the bottom of the tabstrip changes the display mode between Hex Chart mode and Cube mode.

Named Colors

The Named Colors tab displays all colors that have names recognized by most modern browsers. The Basic set shows the standard 16 color set while the Advanced shows an extended set of colors.

Custom Colors

The Custom Colors tab displays any saved user-defined colors and allows you to create new custom colors in a variety of ways.

The sliders and text boxes at the top of the tabstrip allow you to specify a color from RGB values. You can use the sliders to change the RGB values or type hex codes directly into the textboxes.

Once a color has been set, you can save the color to one of 64 custom color slots. To do this, click on an empty slot and press the Set button. To clear a slot, select it by clicking on it and press the Clear button. The Clear All button will clear all slots.

The Windows Color Picker button displays the standard Windows color selection dialog. You can select or create a color in that dialog and it will be used as the selected color in the Color Chooser.

User Palettes

The User Palettes tab displays any user-defined palette files stored in the Palettes subfolder of the main Spider Writer folder. To switch between user palettes, select the palette name in the Palettes drop-down list.
Creating User Palettes
User palettes are simply text files storing RGB values. They should be named with a .PAL extension and should be placed in the Palettes subfolder. The filename before the extension is what populates the Palettes drop-down list. Each .PAL file can store up to 256 color values. Each line in the .PAL files specifies one RGB color value in the form of three number values separated by single spaces. See the following example...
0 0 0
255 0 0
0 0 255
All numbers range from 0 to 255. The first number specifies the red value, the second specifies the green value, and the third specifies the blue value. In the above example, the first line indicates black, the second is bright red, and the third is bright blue.


Customize

The Customize dialog window allows you to customize toolbars, menus, and the keyboard shortcuts. This feature can be found on the Options menu. It also can be accessed by right-clicking on a toolbar and selecting the Customize command.

Toolbars

The Toolbars tab in the Customize dialog provides an interface for selecting which toolbars are visible, creating new toolbars, renaming user-defined toolbars, deleting user-defined toolbars, and resetting system-defined toolbars.
Toolbar Visibility
Check and uncheck the toolbars in the Toolbars list to control which toolbars are visible. Checked toolbars are visible and unchecked toolbars are not.
Creating a New Toolbar
To create a new toolbar, click the New button. You will be prompted for the new toolbar's name. The new toolbar will be created at the top of the screen when you enter a toolbar name. See below for information on how to add commands to the new toolbar.
Renaming a Toolbar
To rename a toolbar, select it in the list and press the Rename button. You will be prompted for a new toolbar name. You may only rename user-defined toolbars.
Deleting a Toolbar
To delete a toolbar, select it in the list and press the Delete button. You may only delete user-defined toolbars.
Resetting a Toolbar
To reset a toolbar, select it in the list and press the Reset button. This feature replaces all the commands on the toolbar with the system defaults. You may only reset system-defined toolbars.

Commands

The Commands tab in the Customize dialog provides an interface for customizing toolbars, menus, and keyboard shortcuts.

By clicking on a category in the Categories list, the commands pertaining to that category appear in the Commands list..

Changing Keyboard Shortcuts
To change a keyboard shortcut for a command, highlight the command in the Commands list. The command's keyboard shortcut will appear in the Assigned Hotkey drop-down list. If you are permitted to change the command's hotkey, this drop-down list will be enabled. You can select a new keyboard shortcut for the command by selecting an item in the drop-down list. Reserved hotkeys will appear grayed, used hotkeys will be in the standard text color, and unused hotkeys will be displayed in a highlight color. To permanently assign the selected keyboard shortcut in the drop-down list to the command, press the Assign button.
Adding a Command to a Toolbar or Menu
To add a command to a toolbar or menu, simply drag it from the Commands list and over the toolbar or menu in which to insert it. An indicator will display, telling you where the command will be dropped. To abort adding the command, drop the command somewhere other than over a toolbar or menu. During the drag operation, the mouse cursor indicates whether you are successfully over a toolbar or menu or not.

Menus are commands as well. To create a new menu, select the Menu category and drag the New Menu command from the Commands list over a toolbar or menu. Once the menu is created, you can add commands to it by following the above procedure.

Moving a Command
To move a command from one toolbar or menu to another, make sure the Customize window is visible and select the command on the source toolbar or menu. Then drag it over the destination toolbar or menu. During the drag operation, the mouse cursor indicates whether you are successfully over a toolbar or menu or not.
Removing a Command
To remove a command from a toolbar or menu, make sure the Customize window is visible and select the command on the source toolbar or menu. Then drop it somewhere other than over a toolbar or menu.
Changing the Properties of a Command
Various properties exist on a command that is placed on a toolbar or menu. These properties can be changed by opening the Customize window, selecting the command instance in the toolbar or menu to change, and either right-clicking on the command to display the context menu or pressing the Modify Selected button on the Customize window.
Context Menu:

The Reset command resets the command to its default settings.

The Delete command removes the command from the toolbar or menu.

The Name textbox allows you to change the caption of the command. Simply type in the new caption and press Enter.

The Default Style command sets the command to its default display style.

The Text Only (Always) command sets the command to only display its caption at all times.

The Text Only (in Menus) command sets the command to only display its caption when in menus.

The Image and Text command sets the command to display its image and caption at all times.

The Begin a Group command flags whether the command should begin a button group or not.


Data Connection Fundamentals

Spider Writer data connections allow you to connect to various types of databases. Once connected, you can enumerate assorted database objects and use the data objects in a number of ways. Each type of data provider has different capabilities.

Connecting to Data Sources

To connect to a new data source, execute the New Data Connection command from the Environment menu. The Connection Wizard window will take you through the steps of connecting to various data sources. This window also describes the capabilities of each data provider. Once you connect to a data source, it will appear in the Environment sidebar. It will continue to appear there until you remove the data connection.

Removing a Data Connection

To remove a data connection from the Environment sidebar, select it in the treeview and execute the Remove Data Connection command from the Environment menu.

Enumerations

Spider Writer can enumerate different database objects for each data source depending on which data provider the connection uses. Spider Writer can currently show objects like tables, views, stored procedures, columns, parameters, and more. Spider Writer can also display properties of data objects. For instance, when you click on a table in the Environment sidebar treeview, the list at the bottom of the sidebar displays each table column's data type, side, and attributes.

Building Queries

You can use the SQL Query Builder to construct complex SELECT queries. See the help topic for this window for more information on its use.


IntelliBrowse

The IntelliBrowse feature automatically refreshes the split-screen browser at a specified interval. This feature can be found on the Document Source editor toolbar.

This feature is useful for seeing your HTML document changes without having to manually refresh the split-screen browser.

IntelliBrowse Settings

To change the interval at which the browser refreshes, go to the Settings dialog window.


IntelliPrompt

The IntelliPrompt feature displays helpful popup lists and tooltips containing information about syntax items as you type in Document Source view. This feature can be found on the Document Source editor toolbar.

This feature is extremely helpful when coding manually and saves you typing time as well as time for looking at syntax references for various languages.
IntelliPrompt currently supports prompting for HTML tags, HTML attributes, ASP objects, JavaScript objects, and DHTML objects.

IntelliPrompt Settings

To change the interval at which the IntelliPrompt waits to display, go to the Settings dialog window.

Displaying IntelliPrompt

If you have IntelliPrompt enabled, it will display in the following situations:
  • Editing a HTML-like document with ASP or PHP parsing active
    • Typing a < character displays the HTML tag list
    • Typing a space character displays the HTML attribute list
    • Typing a . (period) character after an ASP object displays the object's members
  • Editing a HTML-like document with ASP or PHP parsing active or a JavaScript or VBScript document
    • Typing a . (period) character after a DHTML or JavaScript (if in JavaScript script block) object displays the object's members
    • Typing a space or ( character after a DHTML or JavaScript (if in JavaScript script block) collection or method displays the collection or method's parameters

Inserting IntelliPrompt Selections

If an IntelliPrompt list is displayed, you can use the up and down arrow keys to navigate the list. Pressing escape will cancel using the list, while the tab, space, and enter keys all insert the currently selected item. For tag lists, if you press space, the cursor will remain within the tag after tag insert and will popup the attribute list. You can also use the mouse to double-click and select an item.


Project Fundamentals

Spider Writer is very project-oriented because Spider Writer projects provide an easy method to maintain and manage a large amount of web documents. Read this topic to learn more about how you can become more productive with Spider Writer projects.

Project Requirements

Projects require that all documents contained within the project file list (all files in the project) are contained within the directory structure containing the project file. For example, if your project file PROJECT.SWP is located in C:\Projects\, then all files in the project must be located in the C:\Projects\ directory or one of its subdirectories. Spider Writer stores project files with relative paths so you can move the project file structure to different locations on your hard drive using Windows Explorer without breaking project functionality.

Creating New Projects

New projects can be created from the New Project Wizard, found on the Environment menu. This wizard guides you through the process of creating a project from scratch or from an existing directory structure. See the New Project Wizard topic for more help on creating Spider Writer projects.

Adding and Removing Files from a Project

There are two methods for adding and removing files from a project. The first is to use the Synchronization Wizard, found on the Environment menu. This wizard finds files in the project file list which no longer exist on the local hard drive and files in the project's directory structure that don't appear in the project file list. The second method for adding and removing files is to use the Environment sidebar in the Document Source view.

Opening Projects and Project Files

You can open projects from the Environment menu. Once open, they appear in the Environment sidebar. Spider Writer automatically reopens the projects you left open when you last closed Spider Writer. To open a project file for editing, click on the project folder that contains it in the Environment sidebar. It should appear in the file list in the bottom of the sidebar. Double click on the file to open it.

Publishing a Project

To publish a project to a remote server on the web or to a local directory structure, use the Publish Wizard from the Environment menu.

Root URL Browsing

In the New Project Wizard and the Project Properties dialogs, you can set a root URL and an option to indicate that whenever you open a document from a project in Spider Writer and view it in the browser, it will route the preview through the specified root URL. This is useful if you are working on a project directly off of a web server and use server-side scripting (such as ASP) in your pages.
For instance, we at Actipro Software may have a default.asp document at the root of our spiderwriter.com web site. Since we want to see the results of the server side code when we work on the document and we work directly off the server, we set the root URL to be http://www.spiderwriter.com/. Then when we open the default.asp document in Spider Writer and browse to it, it really browses to http://www.spiderwriter.com/default.asp.
Do not use the root URL feature if you are using Spider Writer publishing tags (see below).

Spider Writer Publishing Tags

The Spider Writer publishing tag is used to help make maintaining large websites easier via publishing with projects. While publishing your web files, Spider Writer looks for the SW tag in each one. If found, Spider Writer performs a specified action. If the CONTENT attribute of the SW tag is set to "datetime", the published file will replace the SW tag with the current date/time stamp. On the other hand, if the CONTENT attribute of the SW tag is set to "insertfile", Spider Writer will insert the contents of a file specified by the FILE attribute. This feature is invaluable for sites with pages containing common elements, such as menus, headers, or footers. Simply create a separate file for the common element and include it with the SW tag. Files can be specified using a fully-qualified path or relative to the current document.

To insert a Spider Writer Publishing Tag, edit your document in Document Source view and click on either the Publish Date/Time Stamp or Publish File Insert commands from the Insert menu. Spider Writer tags can be edited with the Attributes sidebar as well.

The Spider Writer tag will not be interpreted by any browsers. It is used for designing websites and will be replaced by either a date/time stamp or a file's contents when the website (in a project) is published. However, when you are designing a page which includes an SW tag in Spider Writer and you view the document in a Spider Writer internal browser, Spider Writer creates the desired replacement in the browser only so that you can see the end results of your page.
Do not use the SW tag if you are using the root URL feature (see above).


Project Properties

The Project Properties dialog window can be opened for both Spider Writer projects and Visual SourceSafe projects. In both cases, the window can be displayed by highlighing one of the two types of projects in the Environment sidebar and choosing the Project Properties command from the Environment menu.

The Project Properties window allows you to change information about a project such as title, description and a number of options. The Project Properties dialog for a Spider Writer project only has a General tab while the window for a Visual SourceSafe project has a General and an Options tab.

General Tab

The Title textbox allows you to specify the name of the project. This name appears in the Environment sidebar treeview. The Description textbox is for a description of the project. You can also specify a root URL for this project in the Root URL combobox. This root URL is used if you have the Route all project document previews through the above URL checkbox checked. This option indicates that whenever you open a document from a project in Spider Writer and view it in the browser, it will route the preview through the specified root URL. This is useful if you are working on a project directly off of a web server and use server-side scripting (such as ASP) in your pages. See the project fundamentals topic for more information on this feature.

Options Tab (Visual SourceSafe Projects Only)

This tab displays a number of checkbox options that you can use to customize the Visual SourceSafe integration features. Check a checkbox to enable the associated option and uncheck a checkbox to disable the associated option.


Remote Servers

The Remote Servers dialog window stores information about all your favorite FTP sites.

Creating a FTP Session Profile

To create a new session profile press the New button and enter the required information such as a description for the site, FTP address, user name, password, etc. If you wish for the local side of the FTP Client to automatically browse to a certain directory whenever you connect to this site, enter the directory name in the text box. A default remote directory can also be set up in the same fashion. Press Save to save your new session.
Make sure to set up an initial remote directory if you plan on using the Publish Wizard with the remote server.
Example:

If your site's root URL is in a /WWWRoot/home/ folder on the FTP site and you plan on using the Publish Wizard to upload your site, make sure to enter /WWWRoot/home/ as the initlal remote directory.

Removing a Session Profile

To remove a session, choose it in the drop-down list of sessions and press the Delete button.


Spelling Suggestions

This feature is similar to the Spell Checker except this gives spelling suggestions for the word currently being edited. This is useful if you are typing in a word and are unsure of the spelling. You can access this feature via the right-click menu of the text editor. This command pops up a menu with several word suggestions. To replace the word in the document with one of the words in the menu, just click on the desired word in the menu. Spider Writer automatically replaces the misspelled word.


Syntax Highlighting

Spider Writer dynamically colors tags as you type them. With dynamic syntax highlighting, Spider Writer determines whether you are editing a tag or not and colors the text appropriately, as you type it! Syntax highlighting applies to a variety of different web languages including: HTML, ASP, CSS, XML, JavaScript, VBScript, Perl, SQL, and PHP.

Many colors and font styles are used in syntax highlighting. Each of these colors and font styles can be set in the Settings window accessed via the Options menu. The Settings dialog can also be used to change syntax highlighting styles for each of the web languages.


Tag Dialogs

Tag dialogs are used to edit various HTML tags in a dialog-based manner. The great thing about tag dialogs is that you can instantly get a preview of your tag as you're designing it before you insert it into a document.

Opening Tag Dialogs

Tag dialogs are opened by right-clicking on a tag in Document Source view and selecting the Edit HTML Tag command.

Using Tag Dialogs

Each tag dialog has one or more tabs of input fields that let you specify tag attributes. Clicking on these tabs displays the different sets of input fields. To add an attribute value to the tag being edited, simply enter information into the controls. For instance, in the example to the right, the WIDTH attribute has been assigned a value of 100.

For most tag dialogs, a preview of the tag is available. To see the preview, press the Show Preview button. Once the preview is visible, you can refresh it by pressing the Refresh button.

When you are done designing the tag, press the OK button to save your changes or the Cancel button to cancel them.


Templates

Templates provide an easy way to load new documents which already contain text and tags you commonly use in your documents.

The following Chuck's Diner example illustrates the use of templates. For instance, assume you always use an image and an italicized caption below it as the top of every page in the Chuck's Diner web site (see the following HTML document).

<HTML>
<HEAD>
<TITLE>Chuck's Diner</TITLE>
</HEAD>
<BODY BACKGROUND="backgrnd.gif" TEXT=#000088 LINK=#0000FF>
<CENTER>
<IMG SRC="header.gif" WIDTH=500 HEIGHT=50><BR>
<I>Open 24 Hours a Day!</I><BR><BR>
<!-- Put content here -->
</CENTER>
</BODY>
</HTML>

Whenever you want to create a new page, you could use something like the above as a template. It already has Chuck's Diner specified as the title of the page as well as the site's standard text colors and background image defined. It also already contains the code for the header of the page which consists of the image and the Open 24 Hours a Day!

Creating the Template

Once you have made a template such as the one shown above and wish to save it for future use, all you have to do is save the document as an HTML file in the Template folder found in the Spider Writer folder. Usually this path is:

C:\Program Files\Actipro Software\Spider Writer\Template\

To make saving a template easy, use the Save As Template feature on the File menu. Enter the name of the template (without a file extension) in the dialog box and your template will be saved.

Recalling the Template

When you wish to create a new document using this template, open the File menu and click the New option. This will open up the New Document dialog box which allows you to create new documents from several wizards and hardcoded templates or from your own saved templates. If you have any HTML files saved in the Template folder, they will appear in the listbox for the User-Defined Templates tab. Simply highlight one and click the OK button to create a new document using that template.


Visual SourceSafe Project Fundamentals

Visual SourceSafe projects allow you to connect to Microsoft Visual SourceSafe databases. This product provides excellent source control management features and if very useful in multi-user environments. Spider Writer's integration with Visual SourceSave lets you check in and out files, among other operations.

Opening Visual SourceSafe Projects

You can open Visual SourceSafe projects using the Visual SourceSafe Project Wizard, found on the Environment menu, under the Open SourceSafe Project command. This wizard guides you through the process of connecting to a Visual SourceSafe project from a srcsafe.ini file. See the Visual SourceSafe Project Wizard topic for more help on opening Visual SourceSafe projects in Spider Writer. Once you open a Visual SourceSafe project, it appears in the Environment sidebar. Spider Writer automatically reopens the projects you left open when you last closed Spider Writer.

Opening Project Files

To open a project file for editing, click on the project folder that contains it in the Environment sidebar. It should appear in the file list in the bottom of the sidebar. Double click on the file to open it. A dialog may prompt you, asking whether you would like a working copy of a file or a read-only copy. A working copy is an editable version of the file while a read-only copy cannot be edited. Generally, you must check out a file to obtain a working copy of it. This is indicated by a check next the file's icon. If a lock icon appears next to the file's icon, it is read-only. Checking a file back in to the server updates the server with the changes you've made and releases the working copy of the file.

Root URL Browsing

In the Visual SourceSafe Project Wizard and the Project Properties dialogs, you can set a root URL and an option to indicate that whenever you open a document from a project in Spider Writer and view it in the browser, it will route the preview through the specified root URL. This is useful if you are working on a project directly off of a web server and use server-side scripting (such as ASP) in your pages.
For instance, we at Actipro Software may have a default.asp document at the root of our spiderwriter.com web site. Since we want to see the results of the server side code when we work on the document and we work directly off the server, we set the root URL to be http://www.spiderwriter.com/. Then when we open the default.asp document in Spider Writer and browse to it, it really browses to http://www.spiderwriter.com/default.asp.
If you use the root URL browsing feature, make sure that you check in files before browsing to them. Otherwise the master files will not be updated with your changes.
Do not use Spider Writer publishing tags in Visual SourceSafe project files. These are only intended for use with Spider Writer projects and the Publish Wizard.


Basic File Operations

Basic file operations include creating new documents, opening existing documents, saving documents, and closing documents. All of these types of operations can be accessed from the File menu. Some can be found on the editor right-click menu as well. Also, the main toolbar provides access to most of the operations.

The New operation creates a new document for editing. If you execute the New operation from the File menu, the New Document dialog box is opened. From here, you can select to create document from a standard template, wizard or from any custom template that you've created. Any other place from which the New operation can be executed will automatically bring up a new document containing the Spider Writer standard template.

The Open operation opens an existing document on your hard drive for editing. It will bring up a small dialog box which allows you to search for the file to open. You can also open documents by going to the Local Files sidebar and double-clicking on an HTML document or highlighting an HTML document, right-clicking to bring up the right-click menu, and selecting the Open In New Document option.

Reopen Documents stores a list of the last ten documents opened or saved. All you have to do is click on one and it will automatically be opened if it still exists.

The Open from the Web feature connects to the Internet and downloads a remote page's source for editing in Spider Writer.

The Convert Text File feature converts a text file on your drive to an HTML document, adding the appropriate tags to retain the text file's look and feel.

The Convert RTF File feature converts a rich text file (saved by applications such as Microsoft Word) on your drive to an HTML document, adding the appropriate tags to retain the document's look and feel.

The Close operation closes the current document. If it is not saved, Spider Writer prompts you to see if you want to save it. This operation is available from the editor right-click menu as well.

The Close All operation closes all open documents. If any documents are not saved, Spider Writer prompts you to see if you want to save them.

The Save operation saves the current document. If the document has never been saved, Spider Writer prompts you for a file and path of which to save it. This operation is available from the editor right-click menu as well.

The Save As operation prompts you for an alternate file and path of which to save the current document.

The Save As Template feature saves the current document as a user template, under the name you supply in a dialog box. Execute the New operation from the File menu to use this user template.

The Save All operation cycles through all the open documents and saves them. If a document has never been saved, Spider Writer prompts you for a file and path of which to save it.

The Print operation prints information to your printer with the output depending on which workspace view you are in. If you are in the Document Source view, the source of the current document will be printed. If you are in Design view, the current document is printed. If you are in Web View, the document is printed as it appears in the browser. Finally, if you are in Document Summary view, a summary report of the document is printed.

The Print Setup dialog box configures the printer to be used with the Print operation.


New Document Dialog

Spider Writer contains a number of features to help automate the creation of new web pages, one of which is the New Document dialog. When you go to the File menu and select the New command, the New Document dialog is displayed.

The dialog window has three tabs. Each is described in more detail. To use a template or wizard, select it in the list and press the OK button.

Standard Templates

The Standard Templates tab displays a number of standard document templates included with Spider Writer:
  • Blank Document
  • HTML Document
  • ASP (VBScript) Document
  • ASP (JavaScript) Document
  • Global.asa Document
  • XML Document
  • CSS Document

Plugins

The Plugins tab displays all Spider Writer plugins that are capable of creating new documents.
  • Channel Wizard
  • Frame Wizard
  • Glossary of Terms Wizard
  • Photo Album Wizard
  • Quick Start Wizard
  • SQL Query Builder

User-Defined Templates

The User-Defined Templates tab lists all template files you've placed in the templates directory. See Templates for more information about this feature.


Open from the Web

The Open from the Web dialog allows you to open a document on the Internet for editing. This feature can be found on the File menu.

This feature makes it easy to quickly see the source code behind a page on a remote web site.

To specify a document to open, enter its URL in the URL combobox in the Open from the Web dialog. Then press the OK button. Spider Writer will connect to the Internet to try and download the document for editing.


Convert Text File

The Convert Text File feature converts a text file on your drive to an HTML document, adding the appropriate tags to retain the text file's look and feel. This feature can be found on the File menu.

Use the Convert Text File feature when you want to show text files or source code files from various languages in a web page.


Convert RTF File

The Convert RTF File feature converts a rich text file on your drive to an HTML document, adding the appropriate tags to retain the rich text file's look and feel. This feature can be found on the File menu.

Use Microsoft Word's Save As command to save Word documents in rich text format.


Basic Edit Operations

Basic editing operations include standard text editing operations such as Cut, Copy, and Paste, selection operations, indenting, spell checking and syntax checking.

The Undo operation undos the last piece of editing done to the current document. It will undo typing, cutting or pasting, and drag and drop operations. Multiple levels of undo are supported in Spider Writer.

The Redo operation redos the last editing operation undone to the current document by Spider Writer. Multiple levels of redo are supported in Spider Writer.

The Cut operation removes the selected text from your document and sends it to the Clipboard.

The Copy operation copies the selected text from your current document to the Clipboard.

The Paste operation pastes text from the Clipboard into the current document. If any text is selected, it is replaced.

The Delete operation removes the selected text in the current document.

The Select Current Tag operation automatically selects the tag you're editing, if any.

The Select Current Tag Block operation automatically selects the tag block surrounding the cursor.

The Select All operation selects all the text in the current document.

The Selected Text to Unordered List operation converts each line in the selection to a list item within an unordered list tag block.

The Selected Text to Ordered List operation converts each line in the selection to a list item within an ordered list tag block.

The Selected Text to Table operation opens up the Table Wizard and selects the Import Data from the Selection in the Current Document option in the wizard.

The Indent operation indents each line of text in the selection by one tab space.

The Unindent operation unindents each line of text in the selection by one tab space.

The Edit HTML Tag operation edits the current HTML tag using a tag dialog.

The Spell Check operation checks the current document for spelling errors.

The LiveSpell command toggles the LiveSpell editor feature on and off. This feature dynamically underlines misspelled words in the Document Source editor as you type.

The Thesaurus command looks up the current word in the Microsoft Word thesaurus. This feature requires Microsoft Word to be installed on your computer.

The Syntax Checker operation searches for errors in HTML syntax in the current document.

The Validate XML command validates the current document for valid and correct XML syntax.


Selected Text to Unordered List

The Selected Text to Unordered List feature allows you to automatically create an unordered list from some raw text. This feature can be found on the Edit menu. All you have to do, is highlight the text in the Document Source view that you would like to convert into an unordered list and then execute this feature. Spider Writer inserts the appropriate list tag block along with a LI tag for each line in the selected text.


Selected Text to Ordered List

The Selected Text to Ordered List feature allows you to automatically create an ordered list from some raw text. This feature can be found on the Edit menu. All you have to do, is highlight the text in the Document Source view that you would like to convert into an ordered list and then execute this feature. Spider Writer inserts the appropriate list tag block along with a LI tag for each line in the selected text.


Spell Checker

Spider Writer has an integrated Spell Checker to catch spelling errors before your page ever reaches the web. The speller's dictionary has over 100,000 entries and allows you to add your own entries for future checking. The Spell Checker can be called from the Edit menu.

Spider Writer searches for misspelled words in your document and will skip over HTML tags during the spell check. If any misspelled words are found, the Spell Checker window displays and highlights the word. You can press Ignore to leave the word as it is. Ignore All does not change the word and also skips over any occurrences of the word. A list of spelling suggestions is displayed on the left side of the window. Click on a word to place it into the Replace With text box. The Replace button changes the misspelled word to whatever is in the Replace With text box. Replace All changes all of the occurrences of the word to what is in the text box. Add to Custom places the misspelled word into a custom dictionary so that in the future, the speller will recognize that word. Cancel stops the spell check.

You can set several options for the Spell Checker in the Settings dialog.

See the Spelling Suggestions topic for more information on spell checking a single word.


Thesaurus

Spider Writer has an integrated Thesaurus to look up synonym words for the word currently being edited in the document. The Thesaurus command is found on the Edit menu.

This feature uses Microsoft Word's thesaurus and requires the installation of a recent version of Microsoft Word.


Syntax Checker

The Syntax Checker feature scans through your HTML documents looking for tag or other document errors. This feature can be found on the Edit menu.

The Syntax Checker makes use of the powerful HTML Tidy syntax checking engine, which ensures that your documents are up to W3C standards. The Syntax Checker informs you of tags missing required end tags, extra end tags, and mismatched tags such as this situation:

<B><I>This is an example of mismatched tags.</B></I>

Once it is finished, it displays a list of all syntax errors in the Results sidebar. You can double-click on a warning or error to go to the problem-causing statement in the document source.


Basic Search Operations

Basic search operations include find and replace, document conversion, and document and tag navigation.

The Find/Replace operation opens the Find/Replace dialog box, enabling you to search for text in the open documents.

The Extended Find/Replace operation opens the Extended Find/Replace dialog box, enabling you to search for multi-line text in the open documents.

Once a Find/Replace operation has been executed, the Find Next operation can be run. This finds the next instance of the text to locate within the scope defined by the last Find/Replace operation.

The Find in Files command runs the Find in Files application. This program searches through files in a directory tree for specified text and optionally allows you to replace it.

The Convert Tags to Uppercase command converts all HTML tags in the current document to uppercase.

The Convert Tags to Lowercase command converts all HTML tags in the current document to lowercase.

The Strip All HTML Tags operation removes all HTML tags from the current document.

The Convert to XHTML command converts the current document to XHTML format.

The Beautify command formats and properly indents all HTML tags in the current document.

The Compress command removes all unnecessary whitespace from the current document.

The Goto Top of Document command moves the cursor to the top of the current document.

The Goto Bottom of Document command moves the cursor to the bottom of the current document.

The Goto Head Tag command moves the cursor to the HEAD tag in the current document, if one exists.

The Goto Body Tag command moves the cursor to the BODY tag in the current document, if one exists.

Goto Previous Tag moves the cursor to the beginning of the tag preceeding the current text position.

Goto Next Tag moves the cursor to the beginning of the tag following the current text position.


Find and Replace

Find and Replace allows you to find text in any open document and replace it with other text if you choose. This feature is accessible from the Edit menu. The Find/Replace command calls up the basic Find/Replace dialog box. The Extended Find/Replace option calls up the Extended Find/Replace dialog box. The Find Next option on the Edit menu repeats the last Find/Replace operation without calling the Find/Replace dialog box.

Both dialogs operate similarly however the Extended Find/Replace dialog allows for multi-line searches instead of single-line searches.

You can search for the string of text in the Find What text box. You can choose whether to only search the Current Document or All Open Documents for the text. You can choose whether to search forwards or backwards from the current cursor position. Other options include Find Whole Word Only and Match Case. The Use Pattern Matching flag indicates whether you want to use regular expression searching specified in your Find What text.

The Replace button lets you replace any occurrences of the Find What text in your documents with the text in the Replace With text box. Use the Replace All button to replace all occurrences of the text.

Pattern Matching

Pattern matching makes use of regular expressions to specify text by its characteristics rather than by its exact characters. A regular expression is composed of a sequence of sub-expressions. Each sub-expression must be in the form in the operators table displayed below. Entire expressions can be preceeded by a ^ character to indicate that the expression is only matched at the start of a line, or ended by a $ character to indicate that the expression can only exist at the end of a line.

Pattern matching examples:

Expression | Matches | Does Not Match
"one"|"two" | one | ONE
 | two | TWO
\d(3)\.\d(2) | 123.45 | 12.45
 | 001.23 | 1.23
[a-zA-Z]\w* | Word | 2Words
"<!--".*"-->" | <!-- Comment --> | <-- Not Comment -->

The following chart displays each operator that can be used when pattern matching:

Operators | Description
a+ | One or more occurrences of a
a* | Zero or more occurences of a
a? | Zero or one (i.e. optional) occurence of a
a{n} | Exactly n occurences of a
a{n,} | n or more occurences of a
a{,m} | Zero or at most m occurences of a
a{n,m} | At least n but not more than m occurences of a
a|b | Either a or b
a||b | a or b or both a and b in any order
abc | a followed by b followed by c
[abc] | A single character, one of a or b or c
[a-b] | A single character, ranging in value from a to b inclusive
[^abc] | A single character, any except a, b or c
(abc) | a followed by b followed by c
"abc" | The letters a followed by b followed by c with no special significance attached to a, b or c
. | Any character except a newline
\a | The letter a, with no special significance attached to a, special forms:
\t | The tab character
\n | The newline character
\r | The return character
\f | The formfeed character
\b | The backspace character
\xNN | The hex character NN
\0ooo | The octal character ooo
\w | A single character, one of [a-zA-Z0-9_]
\W | Any single character not matching \w
\d | A single character [0-9]
\D | A single character not matching \d
\s | A whitespace character [\t\r\n\f\b\ ]
\S | A single character not matching \s

Excerpts of this document were taken from the TSMAx documentation, Copyright (c) 2000 dbRock Software.


Find in Files

The Spider Writer Find in Files application allows you to search through all the files in a directory tree for specified text and optionally replace it. This feature can be found on the Search menu.

The Find in Files program is an external application to the Spider Writer environment. See the Find in Files help file for more information on its usage.


Strip All HTML Tags

The Strip All HTML Tags feature scans through your document and remove all tags. If a text block is selected, Spider Writer will prompt asking whether you wish to strip tags on the selection only or for the entire document. This feature can be found on the Search menu.

Use the Strip All HTML Tags feature when you want to convert a web page over to straight text.


Convert to XHTML

The Convert to XHTML feature converts the current document to XHTML format by using HTML Tidy. This process can entail forcing tag case to lowercase, adding appropriate XML markups, and more. This feature can be found on the Search menu.

Use the Convert to XHTML feature when you want to make your HTML documents compatible with the new XHTML standard.


Beautify

The Beautify command uses rules defined by the Syntax Editor application to properly format and indent HTML tags. This feature can be found on the Search menu.

Use Beautify when looking at poorly indented code. It greatly increases readability.

The following example illustrates the effects of beautification.

Before Beautification:
<HTML> <HEAD><TITLE>Document Title</TITLE> </HEAD> <BODY> <CENTER><H2>Page Header</H2> Start your document here. </CENTER> </BODY> </HTML>
After Beautification:
<HTML> <HEAD> <TITLE>Document Title</TITLE> </HEAD> <BODY> <CENTER> <H2>Page Header</H2> Start your document here. </CENTER> </BODY> </HTML>


Compress

The Compress command removes unnecessary whitespace from the currently selected document, while preserving the format of the web page. This reduces download times as well as makes it difficult to read. This feature can be found on the Search menu.

The Compress operation is not reversible so take caution when using it.

The following example illustrates the effects of compression.

Before Compression:
<CENTER> <H2>Page Header</H2> </CENTER>
After Compression:
<CENTER><H2>Page Header</H2> </CENTER>


Basic View Operations

Basic view operations include the changing of Spider Writer user interface features.

Spider Writer has four main workspace views, each of which can be changed from the View menu:

  • Document Source
  • Design
  • Web View
  • Document Summary

Seven sidebar views are available from within the Document Source view, each of which can be changed from the View menu:

  • Attributes
  • Local Files
  • Environment
  • Tasks
  • Script Outline
  • Code Snippets
  • Thumbnail Viewer

The Special Characters menu option shows/hides the Special Characters window in Document Source view.

The Full Screen command toggles Full Screen mode. In this mode, all sidebars are hidden for maximum work area.

The Split-Screen Browser command shows/hides the Split-Screen Browser in Document Source view.

The Refresh Split-Screen Browser command shows/hides the Split-Screen Browser in Document Source view.


Full Screen

The Full Screen command instantly closes all open sidebars and maximizes the Spider Writer window. If you are in full screen mode, execute the command again to return to regular mode. This feature can be found on the View menu.


Special Characters

The Special Characters window allows you to insert high-numbered ASCII characters which normally won't display in the browser unless you provide special codes. These are especially useful when describing HTML tags or writing foreign characters. You can make the Special Characters window appear by checking the Special Characters menu option on the View menu.

For instance, say you want to put <HTML> in your text and describe its attributes. You cannot simply type <HTML> in your text because the browser will interpret that as a tag. Therefore, you must type in &lt;HTML&gt; The &lt; puts a less-than symbol in its place and the &gt; puts a greater-than symbol in its place, thus allowing you to print the tag in the browser's display.

If you are writing a document involving foreign characters such as an e accent grave, you cannot put the character in the document source. In order for it to display, you must type &egrave; into the document source.

To insert a special character using the Special Characters window, simply move the mouse over the special character you'd like to insert and click on it.


Basic Environment Operations

Basic environment operations include managing Spider Writer projects, Visual SourceSafe projects, and Data Connections in the Environment sidebar.

The New Project command starts the New Project Wizard, which takes you through the steps of creating new projects.

The Open Project command displays a dialog box for opening an existing project.

The Reopen Project command allows for quick access to previously opened projects.

Close Project closes the currently selected Spider Writer project in the Environment sidebar.

Synchronize Project starts the Synchronization Wizard, which aids in Spider Writer project file management.

The Publish Project command starts the Publish Wizard, which publishes Spider Writer project files to a local directory structure or to a remote web site.

The Open SourceSafe Project command displays the Visual SourceSafe Project Wizard. This wizard is used to connect Spider Writer to a SourceSafe project.

Close SourceSafe Project closes the currently selected Visual SourceSafe project in the Environment sidebar.

The Project Properties command displays the Project Properties dialog for the currently selected Spider Writer project or Visual SourceSafe project in the Environment sidebar.

The New Data Connection command starts the Connection Wizard. This wizard helps you create a connection to various types of databases.

The Remove Data Connection command removes the currently selected data connection from the Environment sidebar.


New Project Wizard

The New Project Wizard, available from the Environment menu, creates new Spider Writer projects. It can create new projects from scratch or can import files from an existing directory structure. It also allows you to configure publishing locations and to set up remote servers if necessary.

All of this information you set up in this wizard can be changed at a later date in either the Project Properties or Publish Wizard dialogs.

Project Creation Method

In the Project Creation Method step, you decide whether to create the new project from scratch or from an existing directory structure. Use the existing directory option if you already have documents designed for the project and they are in the location in which you would like to store the project files.

Name and Description

In the next step, Name and Description, you define the name, root folder, and a description of the project. The root folder indicates a local folder structure where all your project files will be placed.

Publish Locations and Root URL

In the following step, Publish Locations, you specify the publishing remote server and/or local directory structure of where to publish.
If you set up a remote server, make sure you indicate a startup remote directory in the Remote Servers dialog. This is where the root of your project is uploaded.
You can also specify a root URL for this project in the Root URL combobox. This root URL is used if you have the Route all project document previews through the above URL checkbox checked. This option indicates that whenever you open a document from a project in Spider Writer and view it in the browser, it will route the preview through the specified root URL. This is useful if you are working on a project directly off of a web server and use server-side scripting (such as ASP) in your pages.
For instance, we at Actipro Software may have a default.asp document at the root of our spiderwriter.com web site. Since we want to see the results of the server side code when we work on the document and we work directly off the server, we set the root URL to be http://www.spiderwriter.com/. Then when we open the default.asp document in Spider Writer and browse to it, it really browses to http://www.spiderwriter.com/default.asp.

File Extensions Filter

If you are creating the project from a directory structure, the next step is the File Extensions Filter setup step. Here you specify the file extensions of the files you'd like to be included in your new project.

Project Definition Complete

Press the Finish button in this final step to create the project file.


Synchronization Wizard

The Synchronization Wizard, available from the Environment menu, synchronizes a project's file list with the project directory structure.

Non-Existant Project Files Search

In the Non-Existant Project Files Search step, the Synchronization Wizard compiles a list of any project files which no longer exist in the directory structure. Select the files to remove by highlighting them in the list. You can use the Select All and Select None buttons to aid you. You can also press the Ctrl key while clicking to select/deselect one file or the Shift key while clicking to select/deselect multiple files.

New Project Files Search

The next step, New Project Files Search, allows you to indicate the file extensions of new files to search for. The following step, New Project Files Search (Continued), searches for any files in the project directory structure with the extensions specified that are not currently included in the project file list. Use the same list item selection techniques as above to select the files to add to the project.

Synchronization Complete

In the final step of the wizard, press the Finish button to complete synchronization of the project with the choices you made.


Publish Wizard

The Publish Wizard, available from the Environment menu, publishes project files to a remote server or local directory structure.

The Publish Wizard can publish single or multiple documents in a project. It can also determine which documents have been modified since they were last published and will publish only those, if desired. There are two modes of operation: local and remote publishing. When publishing locally, the wizard places all the files within the specified local directory structure. When publishing remotely, the wizard connects to an FTP site, uploads the documents, and disconnects - all completely automatically.

Publish Wizard Configuration

In this first step, you indicate whether to publish remotely or locally and the location of which to publish. You also can indicate whether you only want to publish the modified files since they were last published. Press the Next button to load the project files that meet the criteria you set.

Files to Publish

In the next step, Files to Publish, you indicate the files to publish by selecting them. You can use to Select All and Select None buttons to aid in selection. You can also press the Ctrl key while clicking to select/deselect one file or the Shift key while clicking to select/deselect multiple files. Pressing the Next button begins the publishing process.

Publishing Progress

Spider Writer displays the progress of the publishing progress and notifies you when publishing is complete. Press the Finish button after the wizard has completed to save your publish settings.


Basic Insert Operations

The Insert menu allows you to insert various things into your document in Document Source view.

The Document command opens a dialog window for selecting a text document. When a document is selected, its contents are inserted into the current open document.

The E-mail Anchor command opens the E-mail Anchor dialog, which creates an e-mail link based on the information you enter.

The Link to a Style Sheet command prompts for selecting a .CSS file. When a style sheet file is selected, Spider Writer creates a LINK tag pointing to the style sheet.

Link to a Style Sheet Example:
<LINK REL="stylesheet" TYPE="text/css" HREF="style.css">

The Sound command opens a dialog window for selecting a .WAV sound file. When a sound file is selected, Spider Writer inserts the code necessary to play the sound in both Internet Explorer and Netscape.

The Target command prompts for an anchor target name. It creates an anchor target tag with the specified name.

Target Example:
<A NAME="anchorname"></A>

The Anchor to Target command also prompts for an anchor target name. It creates a link to the anchor target with the specified name.

Anchor to Target Example:
<A HREF="#anchorname">Link to Anchorname</A>

Publish Date/Time Stamp inserts a Spider Writer publishing tag that inserts the current date/time stamp. This feature is only useful when utilizing Spider Writer projects.

Publish File Insert creates a Spider Writer publishing tag that inserts a file's text. This feature is only useful when utilizing Spider Writer projects.


E-mail Anchor

The E-mail Anchor dialog box makes it simple to create an e-mail link. This feature can be found on the Insert menu.

Type the e-mail address into the E-mail Address textbox. Enter the text you'd like to appear as the link in the browser in the Real Name textbox. If you would like to automatically set a subject for the e-mail when the link is clicked, enter it in the Message Subject textbox.

Use the E-Mail Anchor feature to quickly create A (Anchor) tags that send e-mails.


Basic Tags Operations

The Tags menu allows you to insert various tags into your document in Document Source view.

Start Tag inserts a blank start tag.

End Tag inserts a blank end tag.

Common Font Faces opens a menu that lists a number of common font face combinations. Click on a menu item to insert it into the current document.

The rest of the menu options insert the HTML tags they describe. Insert the tags by choosing the menu options.


Common Font Faces

The Common Font Faces feature lists common font face combinations that are used in web design. By clicking on a font face menu item, that font is inserted into the current document. This feature can be found on the Tags menu.

Customizing the Font Faces List

The list of common font faces can be completely customized. To change the list, open the Spider Writer/Config/fontspec.dat file. This is simply a text file containing a font face entry on each line. To add a new font face, just add a new line.

Here's a sample of the file's default contents:

Arial, Helvetica, sans-serif
Tahoma, Arial, sans-serif
Courier New, Courier, mono
Times New Roman, Times, serif
Georgia, Times New Roman, Times, serif


Basic Tools Operations

The Tools menu calls a number of external applications and Spider Writer plugins.

The FTP Client menu option runs the Spider Writer FTP Client.

The Image Mapper menu option runs the Spider Writer Image Mapper.

The Style Editor menu option runs TopStyle.

The HTML Tidy Configurations menu shows any custom HTML Tidy configurations that you've saved. Click on a configuration to instantly use it.

The External Applications menu shows any external applications that have been set up in the Settings dialog. Click on an external application to launch it.

The rest of the menu options vary based on the Spider Writer plugins that you have installed. Each menu option starts a Spider Writer plugin, which generally aid in the creation or modification of documents. Spider Writer plugins are only available in Document Source mode.


FTP Client

The Spider Writer FTP Client allows you to manage your web sites on your remote servers. It also can be used as your all-purpose FTP client because it supports all features which major standalone programs support. This feature can be found on the Tools menu.

The FTP Client is an external application to the Spider Writer environment. See the FTP Client help file for more information on its usage.


Image Mapper

The Spider Writer Image Mapper aids in creating and editing client-side image maps. It can modify both MAP and AREA tags. This feature can be found on the Tools menu.

The Image Mapper is an external application to the Spider Writer environment. See the Image Mapper help file for more information on its usage.

Even though the Image Mapper is an external application to the Spider Writer environment, there are several ways for the Image Mapper to interact with Spider Writer.

Editing Image Maps in a Document

If there is an image map within the current Spider Writer document and you would like edit it with the Image Mapper, you can do one of two things.

Editing Image Map Directly
To directly edit an image map in the Image Mapper, move the cursor within a MAP or AREA tag in Document Source view and right-click on the tag. On the context menu that appears, choose the Edit Image Map command. The Image Mapper will open and allow you to edit the image map visually. Press the Save and Exit command to save your changes or the Cancel command to abort making any changes to the image map. The Image Mapper will close and control will return to the Spider Writer application.
Editing Image Map Via Cut and Paste
To edit an image map in the Image Mapper by cutting and pasting, highlight the MAP tag block (which should encompass one or more AREA tags) and copy it to the clipboard. Open the Image Mapper and use the Paste function to visually load in the image map. The Image Mapper will allow you to edit the image map visually. To update the Spider Writer document with the results of the image map editing session, use the Copy to Clipboard function in the Image Mapper. Then return to Spider Writer, place the cursor at the insertion point and paste the image map into the document.


Style Editor

Spider Writer uses TopStyle as its style sheet editing application. TopStyle is a third-party software package written by Bradbury Software, LLC.

TopStyle must be installed to use the integration features listed below. To learn how to install TopStyle, see the Installing TopStyle topic below.
TopStyle is an external application to the Spider Writer environment. See the TopStyle help file for more information on its usage.

Installing TopStyle

Spider Writer ships with a freeware version of TopStyle named TopStyle Lite. When installing Spider Writer, you will be prompted to install TopStyle. If you chose to install it at that point, you should be ready to use the TopStyle integration features.

If TopStyle is not currently installed, you can find a shortcut to the TopStyle setup application in the Actipro Software folder in the Windows Programs menu.

You also can visit BradSoft's web site at http://www.bradsoft.com [image] to download the latest version of TopStyle.

TopStyle Integration with Spider Writer

Even though TopStyle is an external application to the Spider Writer environment, there are several ways for TopStyle to interact with Spider Writer.

  1. Style Editor command on the Tools menu
  2. Edit style attributes by selecting a STYLE attribute in the Attributes sidebar and pressing the ... (ellipses) button.
  3. Edit style attributes from tag dialogs
  4. Right-click on tag in Document Source view and use the Edit HTML Style Attribute command to edit the attribute
  5. Right-click on style block in Document Source view and use the Edit Style Block command to edit the style block
  6. Right-click on a LINK tag in Document Source view and use the Edit Linked Style Sheet command to edit the linked style sheet


Basic Options Operations

The Options menu calls various settings dialogs.

Settings opens the main Settings dialog, where a majority of Spider Writer options can be set.

HTML Tidy Settings opens the HTML Tidy Settings dialog, which allows you to create customized HTML Tidy scripts to run on your documents.

Customize opens the Customize dialog, which allows you to customize the Spider Writer toolbar and menu interface and change keyboard shortcuts.


Settings

The Settings dialog window, available from the Options menu, allows you to change Spider Writer settings. The Settings dialog has a number of different panes, each of which can be displayed by selected the associated item in the treeview.

Press the OK button to save any changes and the Cancel button to cancel changes.

General

The General pane displays general options relating to Spider Writer.

The General Options section contains several options that apply to all of Spider Writer. The Quick Table section allows you to customize how the Quick Table feature inserts tags. Some of this information is also used in other places within Spider Writer when automatically generating tables.

Startup

The Startup pane displays options relating to the startup of Spider Writer.

The Startup Document section contains several options for selecting the type of document to create when Spider Writer starts. If the Use settings for New Document command checkbox is checked, these settings will be used whenever a new document is created. The Startup Folder section tells Spider Writer where to initially browse the folders list in the Local Files sidebar.

Files

The Files pane displays options relating to documents.

The Web Document Extensions section lets you define which file extensions are considered text documents. The File Save Format options allow you to save documents in various operating system formats. The New Document Default Extension textbox tells Spider Writer which file extension to use when creating new documents. The Check for Modified Documents when Spider Writer Receives Focus checkbox indicates that Spider Writer should check for newer versions of any open documents when it receives focus from another application.

AutoBackup

The AutoBackup pane allows you to choose whether to use AutoBackup and how often it should occur.

AutoBackup backs up your documents at the specified interval, if active. In the event of a system crash, the next time you start Spider Writer, the documents will be reopened from their last backup.

External Applications

The External Applications pane lets you customize Spider Writer to use a number of external applications.

Spider Writer has special integration for Netscape. To use this integration, tell Spider Writer the full path to the Netscape executable.

In the Other External Applications section, you can define up to five different external applications. Each application can be assigned a description which is displayed in menus and tooltips. They also can be passed parameters.

Editor Settings

The Editor Settings pane lets you customize the Document Source view editor window.

There also is an option to control whether the Design view attempts to preserve source code formatting when editing files. For users who mostly edit documents in Design view, this option should be turned off.

Display Options

The Display Options pane lets you customize more options in the Document Source view editor window.

Print Options

The Print Options pane lets you set options for printing the contents of the Document Source view editor window.

Spell Checking

The Print Options pane allows you to set options for the Spell Checker in the Document Source view editor window.

Syntax Highlighting

The Syntax Highlighting pane lets you customize all aspects of the Document Source view editor window syntax highlighting.

There are a number of different parsers that Spider Writer uses, one for each web language. Whenever a document is opened, Spider Writer examines the list of file extensions for each parser. When a match is found, Spider Writer uses the parser to syntax highlight the document. If no match is found, Spider Writer uses the parser that is marked as default.

To set a default parser, select the parser to become default in the list and press the Set as Default button. To change syntax highlighting styles or modify the file extensions associated with a parser, select the parser in the list and press the Edit button. This button brings up the Parser Definition window. From here you can change all options relating to an individual parser.

IntelliPrompt

The IntelliPrompt pane allows you to choose whether to use IntelliPrompt and how long it takes to display. You can also choose whether to insert end tags when inserting start tags.

IntelliBrowse

The IntelliBrowse pane allows you to choose whether to use IntelliBrowse and how often it should refresh.

AutoReplace

AutoReplace automatically changes text to other text when typing in the Document Source view editor. It is activated by any of the keys indicated in the Activation Keys textbox. Use the Add, Edit, and Delete buttons to define AutoReplace text.


HTML Tidy

It's very easy to make mistakes when editing HTML documents. It's difficult to fix these mistakes automatically and sometimes even harder to tidy up sloppy editing. Dave Raggett's HTML Tidy utility has been designed to make these tasks quick and painless. HTML Tidy works great on the hard to read markup generated by specialized HTML editors and conversion tools and can help you identify where you need to pay further attention on making your pages more accessible to people with disabilities.

Spider Writer Integration

Because of HTML Tidy's excellent adherence to W3C standards, Spider Writer uses HTML Tidy as its engine for the Syntax Checker and Convert to XHTML commands. Spider Writer also allows you to create customized HTML Tidy scripts that can be run on your documents. To do this, open the HTML Tidy Settings window from the Options menu.

Using the HTML Tidy Settings Window

All of the HTML Tidy options that Spider Writer can use are clearly defined in the HTML Tidy Settings window. Once you configure the settings to your liking, you can execute the custom settings on the current document immediately by pressing the Run HTML Tidy Using the Above Settings button. You may want to save your settings before doing this since they will be lost when the window closes. To save your settings to a file, press the Save button. Make sure to save them in the directory in which you are initially placed! Settings can later be loaded by pressing the Load button.

Quickly Recalling Custom HTML Tidy Configuations

Once you save HTML Tidy configurations (see above), you can quickly recall and run them from the Tools menu. There is a sub-menu titled HTML Tidy Configurations. This sub-menu shows all of the saved configurations. To execute one, simply click on it.

More Information

Visit http://www.w3.org/People/Raggett/tidy/ [image] for the latest version of HTML Tidy.


Basic Window Operations

The Window menu displays a list of all the documents that are currently open in Spider Writer. To change to a document, click on its menu item.

If a large number of documents are open, a More Documents menu option becomes visible. Clicking on this command opens a Documents window. This window shows all the open documents in a list. To change to a document, select it in the list and press the OK button.


Basic Help Operations

The Help menu provides help on Spider Writer, references to web development, links to web sites, and access to the Spider Writer About dialog.

Help Topics opens this help file.

Help for the Current Tag displays the HTML reference entry for the tag you're currently editing in Document Source or Design views.

The HTML Reference command opens the HTML reference.

The CSS Reference command opens the style sheet reference.

Spider Writer on the Web switches Spider Writer to Web View and browses to the Spider Writer home page.

How to Purchase Spider Writer switches Spider Writer to Web View and browses to the Spider Writer purchasing page.

The Actipro Software command switches Spider Writer to Web View and browses to the Actipro Software's home page.

Developer Center switches Spider Writer to Web View and browses to the Actipro Developer Center page, where you can find helpful information about Spider Writer and web development. The Developer Center also features discussion forums for chatting with other Spider Writer users or Actipro Software staff.

Search for Upgrade switches Spider Writer to Web View and browses to the Spider Writer upgrade page, which determines if you have the latest version of Spider Writer.

The About Spider Writer command displays the About window.


Button Wizard

The Button Wizard is a plugin, available from the Tools menu. It aids in quickly generating customized JPEG button images.

The evaluation version of Spider Writer only contains several button and bullet templates. When you register Spider Writer, you are given a link from which you can download the entire set of templates for the Button Wizard.

Button Wizard Description

In the wizard's first step, Button Wizard Description, you pick whether you want to create a button or a bullet. Buttons can have text captions placed over them while bullets are small and can have no captions. When you press Next, you are taken to the Template Selection step.

Template Selection

The Template Selection step allows you to choose the look and feel of your button or bullet. To select a template, first highlight the group of buttons you'd like in the Group listbox. Then select a button or bullet from the Template listbox. A sample of your button or bullet appears in the Preview window. If you are creating a button, pressing the Next button takes you to the Button Captions step. Otherwise, you are taken to the Wizard Complete step.

Button Captions and Button Font Style

In the Button Captions step, you select how many lines your button caption is, the text alignment (left, center, or right), and enter the text for the captions. Pressing the Next button takes you to the Button Font Style step where you specify the font face, size, and style to use for the captions. The Next button goes to the final step, Wizard Complete.

Wizard Complete

The Wizard Complete step asks you what you want to do with your button or bullet. There are three options:

  • Save the button and create an IMG tag for it in the current document
  • Save the button
  • Copy the button to the clipboard.
The first option, saves the button as a JPEG in a file you designate once you press the Finish button. It also inserts an IMG tag to the button or bullet you save. The second option simply saves the button or bullet as in option one except it doesn't insert an IMG tag. The final option copies the button to the clipboard so you can paste it into another image editing application. Press the Finish button to carry out the action you specify.


Calendar Wizard

The Calendar Wizard is a plugin, available from the Tools menu. It aids in quickly generating HTML calendars using tables.

Calendar Setup

In the wizard's first step, Calendar Setup, you pick the month and year of the calendar you'd like to create. You also can set options such as the size of the calendar (small, medium, and large) and whether or not to make the day cells a fixed width. Once you are finished setting up the calendar, press the Next button to proceed to the final step, Calendar Preview.

Calendar Preview

This step displays your calendar as it will appear in a browser. Press the Finish button to create the HTML code for the calendar in the current document.


Channel Wizard

The Channel Wizard is a plugin, available from the Tools menu as well as the New Document dialog. It aids in easily generating channel code for Internet Explorer and Netscape NetCaster.

Channels provide timely, structured web content to a targeted audience. They benefit both web developers and users. Developers can hierarchially organize their web pages and target different audiences with specific content. Users can freely select what content they wish to view. The content is automatically downloaded to their browser for offline viewing, thus eliminating the need for waiting for long downloads. Unfortunately, there are varying channel platforms and certain browsers will only work with certain channel platforms.

The Channel Wizard walks you through the steps of creating Internet Explorer and Netscape NetCaster channels. The necessary code to bring these channels to life is automatically created by the Channel Wizard, either in a .CDF format file (for Internet Explorer) or the JavaScript to register a NetCaster channel.


Connection Wizard

The Connection Wizard is a plugin, available from the Environment menu as New Data Connection. This wizard takes you through the steps of connecting to various types of data sources. Once connected, you can enumerate database objects in the Environment sidebar. See the Data Connection Fundamentals topic for more help on data connections.

To use data access features in Spider Writer, Microsoft Data Access Components (MDAC) version 2.5 or higher must be installed.
MDAC may be downloaded from: http://www.microsoft.com/data/

Microsoft Data Access Components Check

The first step in the Connection Wizard is to verify that MDAC version 2.5 or higher is installed on the computer. If it is not, you cannot create any connections. If you successfully passed the MDAC check, you can bypass this step in the future by unchecking the Show this window... checkbox at the bottom of the window.

Data Source Provider Setup

Enter the name of the connection in the Connection Name textbox. This name will be used as the name of the connection when it is inserted into the Environment sidebar. Then select a data provider for the new connection. When you click on a provider in the Data Provider Type list, a description of its features will be displayed in the textbox to the right.

Connection Driver

If you selected an ODBC database with no DSN, the Connection Driver step will display next. In this step, select an ODBC driver type from the ODBC Driver Type list.

Connection Parameters

The Connection Parameters step contains a propertysheet for entering parameter values for the connection. There are several built-in parameters already in the propertysheet for each type of provider however you can add new parameters by clicking the Add Custom Parameter button.

Connection Test

In the final step of the wizard, the connection string you designed is displayed in the textbox at the top of the window. Before you can start using the new connection, you must test it by pressing the Test Connection button. A messagebox will pop up telling you if the connection was made successfully by using the connection string you designed. Once the connection has been tested successfully, press the Finish button to insert the new data connection into the Environment sidebar.


Form Wizard

The Form Wizard is a plugin, available from the Tools menu. It aids in quickly generating HTML forms.

Form Setup

In the wizard's first step, Form Setup, you define the whether or not to insert the FORM tags as well as the ACTION and METHOD attributes of the FORM tag.

Form Control List

The second step, Form Control List, displays all the form controls currently in the form. Initially there will be none. To add a control, select the type in the drop-down list and press the Insert button. When you press the Insert button, a different Control Definition configuration screen appears, based on the type of control you're adding. To remove a control, highlight it and press the Remove button. Press the up and down arrow buttons to reorder the list. Once you are satisfied with your form, press the Next button to proceed to the final step, Form Preview.

Control Definition

This step allows you to set all the attributes of the new control. Once you've defined the new control's attributes, press the Next button to return to the Form Control List step. To cancel adding the control, press the Previous button instead.

Form Preview

This step displays your form as it will appear in a browser. Press the Finish button to create the HTML code for the form in the current document or the Previous button to continue designing the form.


Frame Wizard

The Frame Wizard is a plugin, available from the Tools menu and the New Documents window. It aids in quickly generating frames document.

Although this wizard is available from both the Tools menu and the New Documents window, the recommended way to use this wizard is via the New Documents window. When completing the wizard from the New Documents window, Spider Writer will create a new document with frames tags in the proper location on the page, whereas when it is run from the Tools menu, it will insert the frame tags at the current cursor location. When running the wizard from the Tools menu, be sure to have the cursor in the correct place in your HTML document where you want the frames code to be inserted.

Frameset Template Selection

The wizard's first step, Frameset Template Selection, provides an easy way for you to pick your initial frame layout from a selection of popular frame arrangements. Spider Writer provides a number of templates for you to select from. If you would like to design your frameset from scratch, choose the blank template. As you select different templates, the templates are displayed visually. Once you pick a template to use, if any, press the Next button to move to the Frameset Construction step.

Frameset Contruction

The second step is the Frameset Construction. If you had chosen a frameset template, it is visually displayed in the wizard's window. To split a frame, move your mouse to where you want to insert the division and left-click to insert a horizontal division or right-click to insert a vertical division. It's fast, easy and completely visual. No need to fool around with strange interfaces or manual frameset definition. If you would like to start over constructing your frameset, press the Clear button. Once you are satisfied with how your frameset looks, press the Next button to continue.

Frame Attributes

The final step, Frame Attributes, allows you to specify the attributes of the frames. Click on a frame to select it. Then modify the attributes for the frame. Once you have done this for all frames, press the Finish button to generate the frameset.


Glossary of Terms Wizard

The Glossary of Terms Wizard is a plugin, available from the New Document window. It aids in creating a Glossary of Terms HTML document.

It only consists of one simple step. You add the terms and corresponding definitions you'd like in your glossary into the listbox by using the Add button. You can remove terms by selecting them in the list and pressing the Remove button. When you are ready to generate the Glossary of Terms page, press the Finish button. A Glossary of Terms page, complete with letter links, will be created with the terms you set in the list already in the correct spot in the glossary.


Gradient Text Color Wizard

The Gradient Text Color Wizard is a plugin, available from the Tools menu. It aids in creating gradient text color effects on text without the use of JavaScript.

Gradient Sample:
This is a sample of what the wizard can do.

To create a gradient, enter the start and end colors of the gradient as well as the text on which to place the effect. A sample of the gradient is shown in the bottom of the wizard window. Press the Finish button to generate the HTML for the effect.


Internet Ratings Wizard

The Internet Ratings Wizard is a plugin, available from the Tools menu. It aids in generating a PICS site rating tag for your document.

The Internet Ratings Wizard is very simple to use. In each step, you are presented with a rating category. If you would like to be rated in that category, move the slider to specify a rating. The rating's description is displayed as you change the slider value. Once you've completed all the steps, the wizard generates a PICS META tag which should be placed in the HEAD tag block of your document.


List Wizard

The List Wizard is a plugin, available from the Tools menu. It aids in quickly generating the code for unordered, ordered, and definition lists.

List Setup

In the wizard's first step, List Setup, you define the type of list to create, the type of bullet to use, and whether to include the list start and end tags.

List Data Entry

The second step, List Data Entry, allows you to enter the list content with one item on each line in the textbox. When the Finish button is pressed, the list is generated.


Meta Tag Wizard

The Meta Tag Wizard is a plugin, available from the Tools menu. It aids in creating META tags.

This wizard can create a variety of META tags:
custom, refresh, expiration, keywords, description, transitions, and generator.
META tags should always be placed in the HEAD tag block section of your HTML documents.

Custom

The Custom tab allows you to define your own META tag attribute values. Use this for creating META tags not generated by the Meta Tag Wizard.

Refresh

The Refresh tab creates META tags that either refresh the current page after a delay or jump to another page after a delay.

Example:
<META HTTP-EQUIV="Refresh" CONTENT="3; URL=http://www.spiderwriter.com">

Expiration

The Expiration tab creates META tags which specify when the content of the page expires.

Example:
<META NAME="expires" CONTENT="Sun, 02 Dec 2001 12:08:33 EST">

Keywords

The Keywords tab creates META tags which specify keywords dealing with the page's content.

Example:
<META NAME="keywords" CONTENT="web, Internet, http">

Description

The Description tab creates META tags which specify a description of the page's content.

Example:
<META NAME="description" CONTENT="This is a description of the web page.">

Transitions

The Transitions tab creates META tags that tell the browser the make page transition effects when entering or exiting the page. These transitions generally only work in Internet Explorer.

Example:
<META HTTP-EQUIV="Page-Enter" CONTENT="blendTrans(Duration=1.0)">

Generator

The Generator tab creates META tags that tell the world your document was created with Spider Writer.

Example:
<META NAME="generator" CONTENT="Spider Writer HTML Editor">


MoneyMaker Wizard

The MoneyMaker Wizard is a plugin, available from the Tools menu. Once you sign up to be a BeFree affiliate partner for free, you can use the MoneyMaker Wizard to create advertisements on your web pages which will generate you money.

What is an Affiliate Partner?

Simply put, an affiliate partner promotes products and services on his or her web site for a commission. Affiliate partners have great ideas for web sites and want to offer their visitors complimentary products, content, or services. They choose affiliate programs that are contextualized within their sites' offerings.

From a novice webmaster sitting at home, to a charity, to a multi-million dollar organization, anyone can become an affiliate partner of premier online businesses. And through those relationships, affiliate partners can add value to their sites and put dollars in their pockets.

Affiliate partners agree to place links to these online businesses on their web sites for the purpose of promoting goods and/or services. Affiliate partners control the type of promotions placed, their locations on the sites and the length of time the promotions run. In return, the affiliate partners can earn commissions on click-throughs, leads or purchases made through their sites, depending on the arrangement with the online business.

E-marketing is a new evolution in affiliate partner marketing. E-marketers can use their e-mail capabilities to place text links within messages. These links serve the same purpose as placing promotions on affiliate partner web sites, and the benefits are the same.

When partnering with Be Free's customers as an affiliate partner, you can leverage these relationships to increase your site's traffic, enhance your visitors' experiences, and make more money. Our customers include some of the Internet's best known e-commerce leaders, including barnesandnoble.com, C/NET, The Gap, Travelocity.com, Staples, IBM, and Fogdog Sports.

How to Sign Up to Become an Affiliate Partner

To sign up to become an affiliate partner, just open the MoneyMaker Wizard and click on the sign up link. This will open a web page where you can apply to become an affiliate partner for free.

Wizard Description

This wizard walks you through picking which advertisements you'd like to place on your web site and automatically generates the code to display each advertisement.

Make Money on Your Web Pages

In the wizard's first step, Make Money on Your Web Pages, you can enter your affiliate partner id if you have one. If you have not yet signed up to become an affiliate partner, click the sign up link. Make sure you are connected to the Internet and press the Next button to log into your account with the specified login information.

Choose a Merchant's Site from the Merchant List

In the next step, a list of merchants are displayed in a treeview. The tree may take several seconds to load depending on your Internet connection speed. Each merchant lists all of its sites underneath it. Click on a merchant or site node to display the merchant's banner image. Once you pick which site you'd like to advertise, select it and press the Next button.

Choose a Section Link Group

All of the section link groups which are part of selected site from the previous step are listed in this step. Choose a section link group and press the Next button to select a link in that group for your web page.

Choose a Link

A list of links are provided for the section link group that you chose in the previous step. Highlight a link to view it in the browser. After you select which link you'd like to place on your web site, press the Finish button. The code to create the link will be downloaded and placed on the current open document. At this point, publish your document to your web site and you'll start earning money!

Excerpts of this document were taken from the BeFree web site, Copyright (c) 1997-2001 Be Free! Inc.


Photo Album Wizard

The Photo Album Wizard is a plugin, available from the Tools menu and the New Documents window. It aids in easily creating pages of photos or images.

Photo Album Setup

In the wizard's first step, Photo Album Setup, you enter the title of the page, the path of the document to create, and the path to the directory of images.

Image File Selection

The second step, Image Files Selection, displays a list of all the files in the directory you specified in the first step. You can reorder the list with the up and down arrow buttons. View an image or change an image's description by highlighting it in the list and pressing the View/Edit Desc. button. Pressing the Next button moves to the last step, but make sure you've highlighted all the images you'd like to use in the page before you press it. The Select All and Select None buttons can help with this.

Recommended Photo Album Layout

The last step, Recommended Photo Album Layout, allows you to specify additional options, such as the number of image columns to use and whether to include the descriptions of the images in the page. Press the Finish button to create the photo album page once you are satisfied with the options.


Quick Start Wizard

The Quick Start Wizard is a plugin, available from the New Document window. It aids in quickly enhancing and customizing a new standard layout HTML document.

Page Properties

In the first step in the wizard, Page Properties, you specify the attributes for the BODY tag, as well as the title of the document.

Document Type and Meta Information

In this second step, you can select to create a document type definition and several of basic META tags. Press the Finish button to create a new document with the attributes you specified.


Script Wizard

The Script Wizard is a plugin, available from the Tools menu. It aids in easily generating some powerful client-side JavaScripts.

The Spider Writer Script Wizard is unique in that it intelligently inserts script code into the correct place in your HTML document as long as a HEAD and BODY tag block exists.

Script Selection

In the wizard's first step, Script Selection, you select the script to create from a listbox. Press the Next button to start designing script parameters.

The Script Wizard currently creates the following scripts:

  • Background Color Fade - When the page is loaded, the background color is faded from one color to another.
  • Changing Image with MouseOver - When the cursor is moved over an image, it is changed to another image. When the cursor is moved out of the image, it reverts back to the original image.
  • Drop-down Menu Site Navigation - This script creates a drop-down box containing a list of links. The user selects a link and presses the Goto button to navigate to that site.
  • Message Box on Page Load - This script displays a message box with a specified message when the page loads.
  • Rotating Image Banner - A series of images are rotated in a banner at a specified delay time.
  • Scrolling Status Bar Message - The specified message will be scrolled in the status bar of the browser.
  • Scrolling Textbox Message - Displays a scrolling message in a textbox.
  • Text Slide Show and Jump to Page - Displays a sequence of text messages and then jumps to another page.
  • Textbox Clock - This script creates a clock in a textbox.

Script Configuration

In the next step, Script Configuration, you enter parameters and setup configuration for the script. This step changes depending on the script selected in the first step. After you have configured your script, press the Finish button to insert it in to the current document.


SQL Query Builder

The SQL Query Builder is a plugin, available from the Tools menu. It provides an interactive environment for designing SQL SELECT queries and view result data sets.

The Output options (see below) are a very quick and powerful way of generating HTML tables of complex data queries from a data source.

General Usage

Before you open the SQL Query Builder, make sure a data connection is selected in the Environment sidebar. The window displays all of the tables and views (if available) for the data connection in the treeview at the top left of the window. Double-click on a table or view to insert its name into the editor area. When you select a table or view, its columns (if available) appear in the list next to the treeview. You can double-click on a column in the list to insert it into the editor. The editor provides syntax highlighting of your SQL code.

Editing SQL Statements in a Document

You can use the SQL Query Builder to edit SQL statements contained in your documents. Simply highlight the statement in the Document Source view and run the SQL Query Builder. The selected text will appear in the SQL Query Builder's editor.

Viewing Query Results

Use the Execute SQL command to run the SQL code in the editor and display results in the grid at the bottom of the window.

Toolbar Commands

The Save and Close command places the SQL Query into the current document and closes the window.

The Close command cancels any changes you've made to the SQL query and closes the window.

The Cut operation removes the selected text from the editor and sends it to the Clipboard.

The Copy operation copies the selected text from your editor to the Clipboard.

The Paste operation pastes text from the Clipboard into the editor. If any text is selected, it is replaced.

The Delete operation removes the selected text in the editor.

The Undo operation undos the last piece of editing done in the editor. It will undo typing, cutting or pasting, and drag and drop operations. Multiple levels of undo are supported.

The Redo operation redos the last editing operation undone in the editor. Multiple levels of redo are supported.

The Execute SQL command runs the SQL code in the editor and displays results in the grid at the bottom of the window.

The Output Straight SQL option specifies to output the SQL code exactly as displayed in the editor.

The Output ASP VBScript option specifies that the SQL code should be output as an ASP VBScript routine that places the results of the SQL into an HTML table.

The Output ASP JScript option specifies that the SQL code should be output as an ASP JScript routine that places the results of the SQL into an HTML table.

The Output CFML option specifies that the SQL code should be output as a CFML routine that places the results of the SQL into an HTML table.

The Do Not Add Table/View Names When Adding Columns flag indicates whether to insert table or view names when you double-click on a column in the column list.


Table Wizard

The Table Wizard is a plugin, available from the Tools menu. It aids in quickly creating customized table. The wizard can also import data from a variety of data sources and formats.

Table Data Source

The first step, Table Data Source, lets you specify whether you'd like to import data from a source such as the selected text in the current open document, the clipboard, or from a file. If you chose to import data from a source, the next step in the wizard is Table Data Format.

Table Data Format

This step displays the imported data in a textbox, which you can modify. It also lets you choose from three methods for parsing the data, by tabs, commas, and line feeds.

Table Setup

The next step is the Table Setup. In this step, you specify the number of rows and columns in the table. You can click on a cell in the table preview to highlight it and then set its ROWSPAN and COLSPAN attributes. Pressing the Next button proceeds to the Table Attributes step.

Table Attributes

Here is where you define the various attributes of the TABLE tag.

Table Cell Attributes

In the following step, Table Cell Attributes, you define all of the attributes of the cell tags in the table. You can change the content of the cells, make them header cells, or specify common attributes.

Table Preview

Finally, in the last step, the Table Preview, you see exactly what your table will look like in the browser. Press the Finish button to create the table in the current document.


Visual SourceSafe Project Wizard

The Visual SourceSafe Project Wizard, available from the Environment menu as the Open SourceSafe Project command, connects Spider Writer to Visual SourceSafe projects.

Database Selection and Login Information

In the Database Selection and Login Information step, you enter the path to the srcsafe.ini file that specifies how to reach the Visual SourceSafe database to which you'd like to connect. You can use the browse button to find the file. This file can be located locally or on a remote shared folder. Entering nothing in this textbox will attempt to use whatever srcsafe.ini file is opened by default on your computer, if any. After you've found the srcsafe.ini file to use, enter the user name and password with which you'd like to connect. Then press the Test Login Info button to make sure the database is successfully opened.

Root Project Folder Selection

After you successfully connect to the database, you must select the root project folder you'd like to work with. All the folders are presented in a tree format. Select the folder you'd like to be the root of your project and press the Next button to move on to the next step.

Project Name and Working Folder

In this step, you indicate the project name and description and a working folder to use. The working folder tells Spider Writer where to store files locally when working copies are retrieved from the Visual SourceSafe server. This folder must be specified.

Project Options

In the final step, you can enter some additional options. For more information on the root URL previewing options, see the Visual SourceSafe Project Fundamentals topic. Press the Finish button to open your project in the Environment sidebar.


Syntax Editor

The Spider Writer Syntax Editor enables you to customize the Script Outline sidebar and IntelliPrompt features of Spider Writer. This feature cannot be called directly from Spider Writer, but can be found on the Actipro Software folder in the Windows Programs menu.

Since it is very important that this syntax data is not corrupted, please do not use this application if you are a novice user.
The Syntax Editor is an external application to the Spider Writer environment. See the Syntax Editor help file for more information on its usage.

Situations in Which You Might Use the Syntax Editor

  • When you want to add an attribute definition to an HTML tag.
  • When you want to change whether end tags are required for an HTML tag.
  • When you want to modify default attribute values.
  • When you want to add new DHTML or other supported language objects.


Validate XML

The Validate XML feature validates the current document's XML syntax. If an error is encountered during parsing, a messagebox is displayed with details about the error. This feature can be found on the Edit menu.

Use the Validate XML feature to ensure that your XML document is well-formed.